DECLARE @operacion as varchar(15) = 'CREATE'
IF EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[upd_doc_prioridadDocumento]') AND type in (N'P', N'PC'))
BEGIN
	SET @operacion = 'ALTER'
END
exec(
   @operacion + ' PROCEDURE [dbo].[upd_doc_prioridadDocumento]
	@p_id int = null,
		@p_uid varchar(500) = null,
		@p_eid varchar(50) = null,
		@p_id_usuario_modifico int = null,
		@p_id_usuario_creo int = null,
		@p_fechaCreacion smalldatetime = null,
		@p_prioridadDocumento varchar(300) = null,
		@p_prioridadDocumento_codigo varchar(100) = null,
		@p_tiempoRespuesta int = null,
		@p_id_tipoDocumento int = null,
		@p_id_estrategiaPrioridad int = null,
		@p_orden int = 0
AS
BEGIN
		UPDATE [doc_prioridadDocumento]
		SET	[uid] = isnull(@p_uid,[uid]),
			[eid] = isnull(@p_eid,[eid]),
			[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
			[id_usuario_creo] = isnull(@p_id_usuario_creo,[id_usuario_creo]),
			[fechaModificacion] = GETDATE(),
			[prioridadDocumento] = isnull(@p_prioridadDocumento,[prioridadDocumento]),
			[prioridadDocumento_codigo] = isnull(@p_prioridadDocumento_codigo,[prioridadDocumento_codigo]),
			[tiempoRespuesta] = isnull(@p_tiempoRespuesta,[tiempoRespuesta]),
			[id_tipoDocumento] = isnull(@p_id_tipoDocumento,[id_tipoDocumento]),
			[id_estrategiaPrioridad] = isnull(@p_id_estrategiaPrioridad,[id_estrategiaPrioridad]),
			[orden] =  isnull(@p_orden,[orden])
		WHERE (id = @p_id)
END')
